[pkg-lighttpd] r403 - lighttpd/trunk/debian

Krzysztof Krzyzaniak eloy at alioth.debian.org
Mon Nov 2 14:57:44 UTC 2009


Author: eloy
Date: 2009-11-02 14:57:44 +0000 (Mon, 02 Nov 2009)
New Revision: 403

Added:
   lighttpd/trunk/debian/lighttpd.init
Removed:
   lighttpd/trunk/debian/init.d
Modified:
   lighttpd/trunk/debian/changelog
Log:
debian/init.d renamed to debian/lighttpd.init

Modified: lighttpd/trunk/debian/changelog
===================================================================
--- lighttpd/trunk/debian/changelog	2009-11-02 14:45:21 UTC (rev 402)
+++ lighttpd/trunk/debian/changelog	2009-11-02 14:57:44 UTC (rev 403)
@@ -4,6 +4,7 @@
     (closes: #541428)
   * debian/control:
    + Standards-Version: 3.8.3
+  * debian/init.d renamed to debian/lighttpd.init
   * Added $syslog to LSB header in init script (closes: #545576)
     (Jeremy Lal <kapouer at melix.org>)
   * debian/init.d: force-reload moved to reload section (closes: #538661)

Deleted: lighttpd/trunk/debian/init.d
===================================================================
--- lighttpd/trunk/debian/init.d	2009-11-02 14:45:21 UTC (rev 402)
+++ lighttpd/trunk/debian/init.d	2009-11-02 14:57:44 UTC (rev 403)
@@ -1,83 +0,0 @@
-#!/bin/sh
-### BEGIN INIT INFO
-# Provides:          lighttpd
-# Required-Start:    $syslog $remote_fs $network
-# Required-Stop:     $syslog $remote_fs $network
-# Should-Start:      fam
-# Should-Stop:       fam
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: Start the lighttpd web server.
-### END INIT INFO
-
-
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
-DAEMON=/usr/sbin/lighttpd
-NAME=lighttpd
-DESC="web server"
-PIDFILE=/var/run/$NAME.pid
-SCRIPTNAME=/etc/init.d/$NAME
-
-DAEMON_OPTS="-f /etc/lighttpd/lighttpd.conf"
-
-test -x $DAEMON || exit 0
-
-set -e
-
-# be sure there is a /var/run/lighttpd, even with tmpfs
-mkdir -p /var/run/lighttpd > /dev/null 2> /dev/null
-chown www-data:www-data /var/run/lighttpd
-chmod 0750 /var/run/lighttpd
-
-. /lib/lsb/init-functions
-
-case "$1" in
-    start)
-        log_daemon_msg "Starting $DESC" $NAME
-        if ! start-stop-daemon --start --quiet --oknodo \
-            --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_OPTS
-        then
-            log_end_msg 1
-        else
-            log_end_msg 0
-        fi
-        ;;
-    stop)
-        log_daemon_msg "Stopping $DESC" $NAME
-        if start-stop-daemon --quiet --stop --oknodo --retry 30 --oknodo \
-            --pidfile $PIDFILE --exec $DAEMON
-        then
-            rm -f $PIDFILE
-            log_end_msg 0
-        else
-            log_end_msg 1
-        fi
-        ;;
-    reload|force-reload)
-        log_daemon_msg "Reloading $DESC configuration" $NAME
-        if start-stop-daemon --stop --signal 2 --oknodo --retry 30 --oknodo \
-            --quiet --pidfile $PIDFILE --exec $DAEMON
-        then
-            if start-stop-daemon --start --quiet  \
-                --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_OPTS ; then
-                log_end_msg 0
-            else
-                log_end_msg 1
-            fi
-        else
-            log_end_msg 1
-        fi
-        ;;
-    restart)
-        $0 stop
-        test -r  $PIDFILE && while pidof lighttpd | \
-            grep -q `cat $PIDFILE 2>/dev/null` 2>/dev/null ; do sleep 1; done
-        $0 start
-        ;;
-    *)
-        echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
-        exit 1
-        ;;
-esac
-
-exit 0

Copied: lighttpd/trunk/debian/lighttpd.init (from rev 401, lighttpd/trunk/debian/init.d)
===================================================================
--- lighttpd/trunk/debian/lighttpd.init	                        (rev 0)
+++ lighttpd/trunk/debian/lighttpd.init	2009-11-02 14:57:44 UTC (rev 403)
@@ -0,0 +1,83 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides:          lighttpd
+# Required-Start:    $syslog $remote_fs $network
+# Required-Stop:     $syslog $remote_fs $network
+# Should-Start:      fam
+# Should-Stop:       fam
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: Start the lighttpd web server.
+### END INIT INFO
+
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/lighttpd
+NAME=lighttpd
+DESC="web server"
+PIDFILE=/var/run/$NAME.pid
+SCRIPTNAME=/etc/init.d/$NAME
+
+DAEMON_OPTS="-f /etc/lighttpd/lighttpd.conf"
+
+test -x $DAEMON || exit 0
+
+set -e
+
+# be sure there is a /var/run/lighttpd, even with tmpfs
+mkdir -p /var/run/lighttpd > /dev/null 2> /dev/null
+chown www-data:www-data /var/run/lighttpd
+chmod 0750 /var/run/lighttpd
+
+. /lib/lsb/init-functions
+
+case "$1" in
+    start)
+        log_daemon_msg "Starting $DESC" $NAME
+        if ! start-stop-daemon --start --quiet --oknodo \
+            --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_OPTS
+        then
+            log_end_msg 1
+        else
+            log_end_msg 0
+        fi
+        ;;
+    stop)
+        log_daemon_msg "Stopping $DESC" $NAME
+        if start-stop-daemon --quiet --stop --oknodo --retry 30 --oknodo \
+            --pidfile $PIDFILE --exec $DAEMON
+        then
+            rm -f $PIDFILE
+            log_end_msg 0
+        else
+            log_end_msg 1
+        fi
+        ;;
+    reload|force-reload)
+        log_daemon_msg "Reloading $DESC configuration" $NAME
+        if start-stop-daemon --stop --signal 2 --oknodo --retry 30 --oknodo \
+            --quiet --pidfile $PIDFILE --exec $DAEMON
+        then
+            if start-stop-daemon --start --quiet  \
+                --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_OPTS ; then
+                log_end_msg 0
+            else
+                log_end_msg 1
+            fi
+        else
+            log_end_msg 1
+        fi
+        ;;
+    restart)
+        $0 stop
+        test -r  $PIDFILE && while pidof lighttpd | \
+            grep -q `cat $PIDFILE 2>/dev/null` 2>/dev/null ; do sleep 1; done
+        $0 start
+        ;;
+    *)
+        echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+        exit 1
+        ;;
+esac
+
+exit 0




More information about the pkg-lighttpd-maintainers mailing list